/**
* @author Dirk Nordmann
* @date   14.01.2002
*/
package xml2rtf.rtf;

import java.util.Hashtable;

public class HtmlTag
{
    private static Hashtable TagList;
    public static final int BODY = 0;
    public static final int HEAD = 101;
    public static final int TITLE = 102;
    public static final int BASE = 103;
    public static final int BASEFONT = 104;
    public static final int BGSOUND = 105;
    public static final int ISINDEX = 106;
    public static final int LINK = 107;
    public static final int STYLE = 108;
    public static final int SCRIPT = 109;
    public static final int NOSCRIPT = 110;
    public static final int META = 201;
    public static final int FRAMESET = 202;
    public static final int NOFRAMES = 203;
    public static final int FRAME = 204;
    public static final int HTML = 205;
    public static final int FORM = 301;
    public static final int INPUT = 302;
    public static final int SELECT = 303;
    public static final int OPTION = 304;
    public static final int TEXTAREA = 305;
    public static final int A = 403;
    public static final int UL = 501;
    public static final int LI = 502;
    public static final int OL = 503;
    public static final int DL = 504;
    public static final int DT = 505;
    public static final int DD = 506;
    public static final int MENU = 507;
    public static final int DIR = 508;
    public static final int MAP = 601;
    public static final int AREA = 602;
    public static final int BR = 701;
    public static final int NOBR = 702;
    public static final int WBR = 703;
    public static final int P = 704;
    public static final int CENTER = 705;
    public static final int DIV = 706;
    public static final int HR = 801;
    public static final int IMG = 901;
    public static final int SPACER = 1001;
    public static final int IFRAME = 1101;
    public static final int EMBED = 1201;
    public static final int NOEMBED = 1202;
    public static final int TABLE = 1301;
    public static final int CAPTION = 1302;
    public static final int TR = 1303;
    public static final int TD = 1304;
    public static final int TH = 1305;
    public static final int BOLD = 1401;
    public static final int ITALIC = 1402;
    public static final int UNDERLINE = 1403;
    public static final int MONOTYPE = 1405;
    public static final int STRIKE = 1406;
    public static final int SUP = 1407;
    public static final int SUB = 1408;
    public static final int B = 1409;
    public static final int FONT = 1410;
    public static final int H1 = 1411;
    public static final int H2 = 1412;
    public static final int H3 = 1413;
    public static final int H4 = 1414;
    public static final int H5 = 1415;
    public static final int H6 = 1416;
    public static final int BIG = 1417;
    public static final int SMALL = 1418;
    public static final int EM = 1419;
    public static final int CITE = 1420;
    public static final int CODE = 1421;
    public static final int KBD = 1422;
    public static final int COMMENT = 1423;
    public static final int EXCLAM = 1424;
    public static final int SAMP = 1425;
    public static final int STRONG = 1426;
    public static final int VAR = 1427;
    public static final int XMP = 1428;
    public static final int ADDRESS = 1429;
    public static final int BLOCKQUOTE = 1430;
    public static final int PRE = 1431;
    public static final int BLINK = 1432;
    public static final int DFN = 1433;
    public static final int Q = 1434;
    public static final int PERSON = 1435;
    public static final int AU = 1436;
    public static final int EXCLAM_CMT = 1437;
    public static final int TT = 1438;
    public static final int EMPH = 1439;
    public static final int U = 1440;
    public static final int MULTICOL = 1501;
    public static final int MARQUEE = 1601;
    public static final int APPLET = 1602;
    public static final int PARAM = 1603;
    
    static
    {
    	TagList = new Hashtable();
        TagList.put("A", new HtmlTagInfo("A", A, true, true, true));
        TagList.put("ADDRESS", new HtmlTagInfo("ADDRESS", ADDRESS, true, true, true));
        TagList.put("APPLET", new HtmlTagInfo("APPLET", APPLET, true, true, true));
        TagList.put("AREA", new HtmlTagInfo("AREA", AREA, true, true, true));
        TagList.put("AU", new HtmlTagInfo("AU", 1436, true, true, true));
        TagList.put("B", new HtmlTagInfo("B", B, true, true, true));
        TagList.put("BASE", new HtmlTagInfo("BASE", 103, false, true, true));
        TagList.put("BASEFONT", new HtmlTagInfo("BASEFONT", 104, false, false, false));
        TagList.put("BGSOUND", new HtmlTagInfo("BGSOUND", BGSOUND, false, true, false));
        TagList.put("BIG", new HtmlTagInfo("BIG", 1417, true, true, true));
        TagList.put("BLINK", new HtmlTagInfo("BLINK", BLINK, true, true, true));
        TagList.put("BLOCKQUOTE", new HtmlTagInfo("BLOCKQUOTE", BLOCKQUOTE, true, true, false));
        TagList.put("BODY", new HtmlTagInfo("BODY", 0, true, true, false));
        TagList.put("BOLD", new HtmlTagInfo("BOLD", BOLD, true, true, true));
        TagList.put("BR", new HtmlTagInfo("BR", BR, true, false, true));
        TagList.put("CAPTION", new HtmlTagInfo("CAPTION", CAPTION, true, true, true));
        TagList.put("CENTER", new HtmlTagInfo("CENTER", CENTER, true, true, false));
        TagList.put("CITE", new HtmlTagInfo("CITE", CITE, true, true, true));
        TagList.put("CODE", new HtmlTagInfo("CODE", CODE, true, true, true));
        TagList.put("COMMENT", new HtmlTagInfo("COMMENT", COMMENT, false, true, true));
        TagList.put("DD", new HtmlTagInfo("DD", DD, true, true, false));
        TagList.put("DFN", new HtmlTagInfo("DFN", DFN, true, true, true));
        TagList.put("DIR", new HtmlTagInfo("DIR", 508, true, true, false));
        TagList.put("DIV", new HtmlTagInfo("DIV", 706, true, true, false));
        TagList.put("DL", new HtmlTagInfo("DL", DL, true, true, false));
        TagList.put("DT", new HtmlTagInfo("DT", DT, true, true, false));
        TagList.put("EM", new HtmlTagInfo("EM", 1419, true, true, true));
        TagList.put("EMBED", new HtmlTagInfo("EMBED", 1201, true, true, true));
        TagList.put("EMPH", new HtmlTagInfo("EMPH", 1439, true, true, true));
        TagList.put("!--", new HtmlTagInfo("!--", 1424, true, true, false));
        TagList.put("FONT", new HtmlTagInfo("FONT", 1410, true, true, true));
        TagList.put("FORM", new HtmlTagInfo("FORM", 301, true, true, false));
        TagList.put("H1", new HtmlTagInfo("H1", 1411, true, true, true));
        TagList.put("H2", new HtmlTagInfo("H2", 1412, true, true, true));
        TagList.put("H3", new HtmlTagInfo("H3", 1413, true, true, true));
        TagList.put("H4", new HtmlTagInfo("H4", 1414, true, true, true));
        TagList.put("H5", new HtmlTagInfo("H5", 1415, true, true, true));
        TagList.put("H6", new HtmlTagInfo("H6", 1416, true, true, true));
        TagList.put("HEAD", new HtmlTagInfo("HEAD", 101, true, true, false));
        TagList.put("HR", new HtmlTagInfo("HR", 801, true, false, false));
        TagList.put("HTML", new HtmlTagInfo("HTML", 205, true, true, false));
        TagList.put("IFRAME", new HtmlTagInfo("IFRAME", 1101, true, true, false));
        TagList.put("IMG", new HtmlTagInfo("IMG", 901, true, false, true));
        TagList.put("INPUT", new HtmlTagInfo("INPUT", 302, true, true, true));
        TagList.put("ISINDEX", new HtmlTagInfo("ISINDEX", 106, false, false, false));
        TagList.put("I", new HtmlTagInfo("I     ", 1402, true, true, true));
        TagList.put("ITALIC", new HtmlTagInfo("ITALIC", 1402, true, true, true));
        TagList.put("KBD", new HtmlTagInfo("KBD", 1422, true, true, true));
        TagList.put("LI", new HtmlTagInfo("LI", LI, true, true, false));
        TagList.put("LINK", new HtmlTagInfo("LINK", 107, false, false, false));
        TagList.put("MAP", new HtmlTagInfo("MAP", 601, false, false, false));
        TagList.put("MARQUEE", new HtmlTagInfo("MARQUEE", 1601, true, true, true));
        TagList.put("MENU", new HtmlTagInfo("MENU", 507, true, true, false));
        TagList.put("META", new HtmlTagInfo("META", 201, false, false, false));
        TagList.put("MONOTYPE", new HtmlTagInfo("MONOTYPE", 1405, true, true, true));
        TagList.put("MULTICOL", new HtmlTagInfo("MULTICOL", 1501, true, true, false));
        TagList.put("NOBR", new HtmlTagInfo("NOBR", 702, true, true, true));
        TagList.put("NOEMBED", new HtmlTagInfo("NOEMBED", 1202, true, true, true));
        TagList.put("NOFRAMES", new HtmlTagInfo("NOFRAMES", 203, true, true, true));
        TagList.put("NOSCRIPT", new HtmlTagInfo("NOSCRIPT", 110, true, true, true));
        TagList.put("OL", new HtmlTagInfo("OL", 503, true, true, false));
        TagList.put("OPTION", new HtmlTagInfo("OPTION", 304, true, true, true));
        TagList.put("PARAM", new HtmlTagInfo("PARAM", 1603, true, false, true));
        TagList.put("P", new HtmlTagInfo("P", 704, true, true, true));
        TagList.put("PERSON", new HtmlTagInfo("PERSON", 1435, true, true, true));
        TagList.put("PRE", new HtmlTagInfo("PRE", 1431, true, true, true));
        TagList.put("Q", new HtmlTagInfo("Q", 1434, true, true, true));
        TagList.put("SAMP", new HtmlTagInfo("SAMP", 1425, true, true, true));
        TagList.put("SCRIPT", new HtmlTagInfo("SCRIPT", 109, true, true, true));
        TagList.put("SELECT", new HtmlTagInfo("SELECT", 303, true, true, true));
        TagList.put("SMALL", new HtmlTagInfo("SMALL", 1418, true, true, true));
        TagList.put("SPACER", new HtmlTagInfo("SPACER", 1001, true, true, true));
        TagList.put("STRIKE", new HtmlTagInfo("STRIKE", 1406, true, true, true));
        TagList.put("STRONG", new HtmlTagInfo("STRONG", 1426, true, true, true));
        TagList.put("STYLE", new HtmlTagInfo("STYLE", 108, true, true, false));
        TagList.put("SUB", new HtmlTagInfo("SUB", 1408, true, true, true));
        TagList.put("SUP", new HtmlTagInfo("SUP", 1407, true, true, true));
        TagList.put("TABLE", new HtmlTagInfo("TABLE", TABLE, true, true, true));
        TagList.put("TD", new HtmlTagInfo("TD", 1304, true, true, true));
        TagList.put("TEXTAREA", new HtmlTagInfo("TEXTAREA", 305, true, true, true));
        TagList.put("TH", new HtmlTagInfo("TH", 1305, true, true, true));
        TagList.put("TITLE", new HtmlTagInfo("TITLE", 102, false, true, true));
        TagList.put("TR", new HtmlTagInfo("TR", 1303, true, true, true));
        TagList.put("TT", new HtmlTagInfo("TT", 1438, true, true, true));
        TagList.put("UL", new HtmlTagInfo("UL", 501, true, true, false));
        TagList.put("UNDERLINE", new HtmlTagInfo("UNDERLINE", 1403, true, true, true));
        TagList.put("U", new HtmlTagInfo("U", 1440, true, true, true));
        TagList.put("VAR", new HtmlTagInfo("VAR", 1427, true, true, true));
        TagList.put("WBR", new HtmlTagInfo("WBR", 703, true, true, true));
        TagList.put("XMP", new HtmlTagInfo("XMP", 1428, true, true, true));
    }

    public static HtmlTagInfo findTag(String s)
    {
        if(TagList.containsKey(s))
            return (HtmlTagInfo)TagList.get(s);
        if(s.length() > 0)
            System.out.println("[HtmlTag.findTag]: Warning -- Unknown tag : " + s );
        return null;
    }
		
}